Public Member Functions | Public Attributes | List of all members
MacDraftParserInternal::BitmapFileData Struct Reference

low level: bitmap file position in a MacDraft file More...

## Public Member Functions
| BitmapFileData ()
| constructor More...
bool | ok () const
| check is the entry is coherent More...

## Public Attributes
unsigned long | m_id
| the bitmap id More...
int | m_rowSize
| the row size More...
MWAWBox2i | m_dimension
| the bitmap dimension More...
MWAWEntry | m_entry
| the data position More...

## Detailed Description

low level: bitmap file position in a MacDraft file

## Constructor & Destructor Documentation

## ◆ BitmapFileData()

MacDraftParserInternal::BitmapFileData::BitmapFileData | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ ok()

bool MacDraftParserInternal::BitmapFileData::ok | ( |  | ) | const
| inline

check is the entry is coherent

Referenced by MacDraftParser::readBitmapData(), and MacDraftParser::sendBitmap().

## Member Data Documentation

## ◆ m_dimension

MWAWBox2i MacDraftParserInternal::BitmapFileData::m_dimension

the bitmap dimension

Referenced by ok(), MacDraftParser::readBitmapData(), and MacDraftParser::sendBitmap().

## ◆ m_entry

MWAWEntry MacDraftParserInternal::BitmapFileData::m_entry

the data position

Referenced by ok(), MacDraftParser::readBitmapData(), and MacDraftParser::sendBitmap().

## ◆ m_id

unsigned long MacDraftParserInternal::BitmapFileData::m_id

the bitmap id

Referenced by MacDraftParserInternal::SubDocument::operator!=(), MacDraftParserInternal::SubDocument::parse(), and MacDraftParser::readBitmapData().

## ◆ m_rowSize

int MacDraftParserInternal::BitmapFileData::m_rowSize

the row size

Referenced by ok(), MacDraftParser::readBitmapData(), and MacDraftParser::sendBitmap().

The documentation for this struct was generated from the following file:

- MacDraftParser.cxx